PETSc version 3.15.5
Fix/Edit manual page

# PCPostSolve

Optional post-solve phase, intended for any preconditioner-specific actions that must be performed after the iterative solve itself.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCPostSolve(PC pc,KSP ksp)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| ksp | - the Krylov subspace context

### Sample of Usage

        PCPreSolve(pc,ksp);
        KSPSolve(ksp,b,x);
        PCPostSolve(pc,ksp);

### Note

KSPSolve() calls this routine directly, so it is rarely called by the user.

### See Also

PCPreSolve(), KSPSolve()

### Level

developer

### Location

src/ksp/pc/interface/precon.c

### Implementations

PCPostSolve_BDDC in src/ksp/pc/impls/bddc/bddc.c
PCPostSolve_Eisenstat in src/ksp/pc/impls/eisens/eisen.c
PCPostSolve_Shell in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages